package com.sw.patroleditor.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 点参数表。
 * 地图信息，点的种类和位置信息。
 * point
 */
@Data
@TableName("point")
public class PointDTO {
    /**
     * 编号
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * Point UID for mapping with RCPM
     */
    private String uuid;

    /**
     * 种类：0-起点、1-充电点、交点、3-停靠点
     */
    private Integer type;

    /**
     * 绝对物理位置X坐标 unit:mm
     */
    private Integer absolutePosX;

    /**
     * 绝对物理位置Y坐标 unit:mm
     */
    private Integer absolutePosY;

    /**
     * 地图相对位置X坐标 unit:pix
     */
    private Integer relativePosX = 0;

    /**
     * 地图相对位置Y坐标 unit:pix
     */
    private Integer relativePosY = 0;

    /**
     * 机器人朝向
     */
    private Double yaw = 0.00;

    private String note;

}