package com.sw.patroleditor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.patroleditor.domain.dto.AreaDTO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface AreaMapper extends BaseMapper<AreaDTO> {

    @Insert("INSERT INTO area (area_name, type, type_name, pre_level) VALUES (#{areaName}, #{type}, #{typeName}, #{preLevel})")
    int insertArea(AreaDTO areaDTO);

    @Delete("DELETE FROM area WHERE id = #{id}")
    int deleteArea(Integer id);

    @Update("UPDATE area SET area_name = #{areaName}, type = #{type}, type_name = #{typeName}, pre_level = #{preLevel} WHERE id = #{id}")
    int updateArea(AreaDTO areaDTO);

    @Select("SELECT * FROM area")
    List<AreaDTO> getAllAreas();

    @Select("SELECT * FROM area WHERE type = #{type}")
    List<AreaDTO> getAreasByType(Integer type);

    @Select("SELECT * FROM area WHERE pre_level = #{preLevel}")
    List<AreaDTO> getChildAreasByPreLevel(Integer preLevel);
}